IntegrationsJira

List the workflow transitions available for an issue, with target status and required screen fields

POST
/integrations/connections/{connection_id}/providers/jira/issue-transitions/list

List the workflow transitions available for an issue, with target status and required screen fields. Transitions that require fields other than resolution cannot be executed with issues.transition.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/jira/issue-transitions/list" \  -H "Content-Type: application/json" \  -d '{    "issue_key": "AA-0"  }'
{  "issue_key": "example",  "items": []}